Error de PHP "No es seguro confiar en la configuración de zona horaria del sistema". al usar $ _GET

Recibo el error que muchos han visto al actualizar de PHP 5.2.9 a PHP 5.3.0, pero curiosamente, el error aparece como resultado de una referencia a una variable $ _GET, no tiene nada que ver con una zona horaria configuración.

Aquí está el error:

Advertencia: date_default_timezone_get (): No es seguro confiar en la configuración de la zona horaria del sistema. Eres son requeridos para usar la configuración date.timezone o la función date_default_timezone_set ().

¿Alguien más ha visto esto mismo y ha encontrado una manera de resolverlo sin simplemente cambiar el nivel de error_reporting?

Gracias.

preguntado el 10 de mayo de 11 a las 14:05

¿Cómo se manifiesta este error? Un ejemplo estaría bien ... -

¿También dices que no tiene nada que ver con la zona horaria y luego la etiquetas como zona horaria? -

@Chris, lo etiqueté como zona horaria porque el error mencionaba la zona horaria -

2 Respuestas

También tuve ese error cuando actualicé de PHP 5.2 a PHP 5.3. Resolví eso configurando la zona horaria del servidor correspondiente en mi php.ini:

date.timezone = "Europe/Berlin"

Siguiendo http://php.net/manual/de/function.date-default-timezone-set.php, desde PHP 5.3 a E_WARNING se lanza si no se estableció la zona horaria.

contestado el 10 de mayo de 11 a las 18:05

Tuve que usar minúsculas para "PHP Version 5.5.3-1ubuntu2.1":

date.timezone = "america / new_york"

Respondido 13 Feb 14, 23:02

No es la respuesta que estás buscando? Examinar otras preguntas etiquetadas or haz tu propia pregunta.